<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    List Of Products In Cart
                </h3>
            </div>
        </div>
    </div>

    <div class="m-portlet__body">
        <!--begin: Datatable -->
        <table class="table table-striped- table-bordered table-hover table-checkable scrollable"
               :style="products.length > 0 ? 'display: block;' : ''">

            <thead>
                <th>
                    Product Image
                </th>
                <th>
                    Name
                </th>
                <th>
                    Variant
                </th>
                <th>
                    Total Price
                </th>
                <th>
                    Quantity
                </th>
                <th v-if="orderStatus == 1 && final == 0">
                    Warehouse
                </th>
            </thead>
            <tbody>

                <tr v-for="(product, index) in products">
                    <td style="max-width: 100px;">
                        <img :src="getProductImage(product.image)" width="100%" height="100%">
                    </td>

                    <td>
                        <p>
                            <span class="m--font-primary m--font-boldest">
                                {{ product.name }}
                            </span>
                        </p>

                        <ValidationProvider rules="" v-slot="{ errors }" name="product variant id" :ref="'cart.' + index + '.id'">
                            <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                                {{ errors[0] }}
                            </div>
                        </ValidationProvider>

                        <ValidationProvider rules="" v-slot="{ errors }" name="product" :ref="'cart.' + index">
                            <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                                {{ errors[0] }}
                            </div>
                        </ValidationProvider>
                    </td>

                    <td>
                        <div class="form-group m-form__group row">
                            <div v-for="(attribute, index) in product.attributesValues" :class="'col-lg-' + Math.round(12 / product.attributesValues.length)">
                                <p><b>{{ attribute.attribute }}</b></p>
                                <p>{{ attribute.value }}</p>
                            </div>
                        </div>
                    </td>
                    <td>
                        {{ product.price }}
                    </td>
                    <td>
                        {{ product.quantity }}
                    </td>
                    <td v-if="orderStatus == 1  && final == 0">
                        <ValidationProvider rules="required" v-slot="{ errors }" name="warehouse" :ref="'cart.' + index + '.warehouse_id'">
                            <select v-if="product.warehouses.length > 0" class="form-control m-input m-input--air m-input--pill"
                                    v-model="products[index].warehouseId"
                                    :class="{ 'is-invalid': errors.length > 0 }"
                                    :disabled="product.warehouses.length < 1">

                                <option v-for="(warehouse, indexW) in product.warehouses" :value="warehouse.id">{{ warehouse.name }}</option>
                            </select>

                            <p v-else style="color: red">Out of stock!</p>

                            <div v-if="errors.length > 0" class="invalid-feedback">
                                {{ errors[0] }}
                            </div>
                        </ValidationProvider>
                    </td>
                </tr>

            </tbody>
        </table>
    </div>

</div>